Upgrade funktioniert nicht

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Upgrade funktioniert nicht

Postby StTiLa » 28. September 2004 08:15

Hallo,
wollte ein Uprade auf Apache 1.4.8 durchführen. Habe dazu die ZIP-Version runtergeladen und entsprechend entpackt.

Nach der Installation wird aber noch immer XAMPP 1.4.7 als Version dargestellt.
Auch PHP-Info liefert auch noch 4.3.7

Was mache ich falsch?

Stefan

PS: In dem Zip-Archiv ist unter xampp\htdocs\xampp in der .version auch 1.4.7 aufgeführt. Tipp-Fehler oder falsches Archiv?
StTiLa
 
Posts: 8
Joined: 28. September 2004 08:05

Postby Kristian Marcroft » 28. September 2004 08:20

Hi,

hattest du _vorher_ auch die Zip Version?
Wohin entpackst du das Zip? xampp_setup.bat anschliessend ausgeführt?

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby StTiLa » 28. September 2004 08:49

Hi,

ja vorher hatte ich auch die Zip-Version.

Habe ins root Verzeichnis von XAMPP entpackt. Er fragt mich ja auch, ob die Dateien jeweils überschrieben werden sollen, was ich bejahe.
Also insofern scheint es korrekt zu sein.

Aber xampp_setup.bat habe ich nach dem unzippen nicht ausgeführt. Wusste nicht, dass das da auch notwendig ist.

Werde das gleich mal ausprobieren.

Allerdings ist die .version-Angabe auch im Upgrade-Zip-Archiv auf 1.4.7 gestellt. Deshalb kann dort ja wahrscheinlich auch nichts anderes angezeigt werden. Aber php 5 sollte schon auftauchen oder?

Danke für die erste schnelle Antwort

Stefan
StTiLa
 
Posts: 8
Joined: 28. September 2004 08:05

Postby goe105 » 28. September 2004 09:22

Auch eine Frage dazu ...
Kann ich direkt von xampp 2.0.49 auf die neuste Version updaten, oder
muss ich die vorhergehenden Zwischen-Patches und Up-Dates vorher
noch einspielen?
User avatar
goe105
 
Posts: 30
Joined: 02. August 2004 08:59

Postby Kristian Marcroft » 28. September 2004 09:27

goe105 wrote:Auch eine Frage dazu ...
Kann ich direkt von xampp 2.0.49 auf die neuste Version updaten, oder
muss ich die vorhergehenden Zwischen-Patches und Up-Dates vorher
noch einspielen?

Hi,

die XAMPP Version 2.0.49 gibt es nicht...
Du meinst Apache 2.0.49.
Dieser wäre zu deinstallieren bevor du XAMPP installierst.

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby Kristian Marcroft » 28. September 2004 09:30

Hi,

zum Problem mit dem Update:

Es ist richtig, das die .version Datein nicht richtig sind.
evtl. manuel anpassen.

Um aber die neuen PHP-Versionen nutzen zu können, musst du 2 mal die php-switch.bat ausführen.

Also von PHP4.X auf PHP5.X zurück auf PHP4.X dann geht es...

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Klasse Forum

Postby seppbo » 28. September 2004 09:41

Danke Kris,

kaum das ich mich regestriert hatte erschien die Antwort auf die Frage die ich stellen wollte.

seppbo
seppbo
 
Posts: 2
Joined: 28. September 2004 09:24

Postby goe105 » 28. September 2004 09:58

Sorry KriS :) , habe natürlich nicht 2.049=xampp sondern= apache, jedoch mit Packet von xampp 1.4.2 aus c't.
Leider finde ich kein Upgrade für Installer auf Seite von sf.net für 1.4.2?
Muss ich von vorne beginnen? uff .... und meine MySQL, SLL_Zert. etc...?
oder kann ich diese sichern, und danach in den neuen Xampp ziehen/überschreiben?
Sorry, bin wirklich newbie bei solchen Sachen.
txs in advance!
User avatar
goe105
 
Posts: 30
Joined: 02. August 2004 08:59

Postby StTiLa » 28. September 2004 10:06

Was mich gerade noch wundert:

In der Upgrade-ZIP-Datei ist auch keni Ordner php5, sondern lediglich php4. Ist das normal?

Wo finde ich die php-switch.bat

Stefan
Real programmers don't document. If it was hard to write, it should be hard to understand.
StTiLa
 
Posts: 8
Joined: 28. September 2004 08:05

Postby Kristian Marcroft » 28. September 2004 10:28

Hi,

im xampp Verzeichnis direkt?
Augen auf beim eierkauf ;)

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby StTiLa » 28. September 2004 11:10

Ab und an bin ich eben doch ein DAU :oops:

Hatte dummerweise nicht gesehen, dass an diesem Rechner zuvor 1.4.4. installiert war. Und das Update auf 1.4.8 funktioniert dann natürlich nicht richtig.

Daher fehlten auch einige Dateien, wie eben auch die bat.

Ich danke dir für deine Hilfe und schäme mich.

Stefan
Real programmers don't document. If it was hard to write, it should be hard to understand.
StTiLa
 
Posts: 8
Joined: 28. September 2004 08:05

Postby Kristian Marcroft » 28. September 2004 11:16

StTiLa wrote:Ich danke dir für deine Hilfe und schäme mich.

Hi,

ab in die Ecke mit dir ;)

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 6 guests